### Virtual Method

# Msg Authorizer refresh_authorization

#### Declaration [src]

    gboolean
    refresh_authorization (
      MsgAuthorizer* iface,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously forces `iface` to refresh any authorization tokens held by it. See `msg_authorizer_refresh_authorization_async()` for the asynchronous version of this call.

This method is thread safe.

#### Parameters

`cancellable`

  Type: `GCancellable`

  An optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the authorizer now has a valid token.